View Issue Details

IDProjectCategoryView StatusLast Update
0011112ScribusCanvaspublic2015-11-25 01:06
Reporterale Assigned To 
PrioritynormalSeverityminorReproducibilityalways
Status newResolutionopen 
Product Version1.5.0svn 
Target Version1.6 milestoneFixed in Version 
Summary0011112: still some blurred frame borders...
Description1. wonderful! a nice text frame with no solid border, but a sharp placeholder! just one hint: it could be less black...

2. an image frame. also mostly better, but in some case there are still blurred borders (in this case the lower and right ones)<

3. here the border is yellow and not transparent: sadly the yellow color is drawn behind the placeholder (which should probably not be drawn)

4. the border is now black: not really sharp... but since there is a border defined, this is not that bad...

5. meta-report: when converting the text frame with numbers to outlines, instead of getting just the content, i also get a box around with a border. in my eyes, if the border and the background are transparent, there should be no box.

i've attached a screenshot of the preview mode, too.

the .sla file is also attached.

addendum:

- see the screenshots by vlada for a suggestion on how to make the placeholders more pleasant.
- some further issues three years later: 0011112:0037026
TagsNo tags attached.
PatchNo

Relationships

related to 0013075 acknowledged Metabug: missing display refresh 

Activities

ale

2012-10-09 21:01

manager  

frame_border.png (3,692 bytes)
frame_border.png (3,692 bytes)

ale

2012-10-09 21:02

manager  

frame_border_preview.png (3,476 bytes)
frame_border_preview.png (3,476 bytes)

ale

2012-10-09 21:10

manager  

frame_lines.sla (20,064 bytes)

fschmid

2012-10-10 20:30

administrator   ~0029034

Thanks for your feedback, some remarks to your notes:
1.) 2.) 4.) for this it seems that the sharpness is depending on the cairo version, with the latest 1.12.4 version the lines are perfectly sharp.

3.) you're right, the frame marker shouldn't overwrite the already defined yellow border.

5.) the still visible border is the border of the original frame.

fschmid

2012-10-10 21:37

administrator   ~0029035

Hi, just committed fixes for your issues 3 and 5.

ale

2012-10-11 06:42

manager  

yellow_border.png (983 bytes)
yellow_border.png (983 bytes)

ale

2012-10-11 06:48

manager   ~0029037

thanks franz!

3. is indeed much better now. i just wonder if the placeholder is needed when a border exists. @vlada: what are your thoughts about it?

5. is fixed!

... and i'd like to ask vlada to find the perfect color for the placeholder... black is too black in my eyes...


and for the other issues, we will wait for a cairo update, then!

Vladimir Savic

2012-10-11 11:55

reporter  

now.png (11,680 bytes)
now.png (11,680 bytes)

Vladimir Savic

2012-10-11 11:55

reporter  

wish.png (11,683 bytes)
wish.png (11,683 bytes)

Vladimir Savic

2012-10-11 11:59

reporter   ~0029038

I've uploaded two pngs to illustrate UI issue with drawing frames. Attached now.png and wish.png consist of aligned text and image frames. Unselected ones still look like there are some serious micro-tweaks needed to make them aligned, but once you sweep-select them, things are so crisp that it simply gives confidence in continuing layout process! :)

Kunda

2015-07-08 17:41

manager   ~0035696

Need to update the summary so it reflects what has/n't been fixed

Kunda

2015-10-28 03:35

manager   ~0037016

Reminder sent to: ale

ale, please update this ticket by crossing out any of the issues that have been fixed. Thanks

ale

2015-10-28 08:45

manager  

guides.png (3,881 bytes)
guides.png (3,881 bytes)

ale

2015-10-28 08:45

manager  

guides-2.png (12,508 bytes)
guides-2.png (12,508 bytes)

ale

2015-10-28 08:46

manager  

guides-3.png (8,871 bytes)
guides-3.png (8,871 bytes)

ale

2015-10-28 09:01

manager   ~0037026

Last edited: 2015-11-25 01:03

View 2 revisions

"three years later" status:

- vlada's wish has not been implemented

- guides.png shows text frames that have been inserted with shift-click to fill the guides.
  - for the top horizontal guides, there is nothing to say. good.
  - the lower horizontal guides: the frame placeholders are drown below the guide and not on top of it
  - the vertical placeholders are drawn next to each other (thicker line) rather than on top of each other)

- guides-2.png: at 100% it does not look that bad
  - the yellow border is drawn outside of the frame placeholder. probably ok.
  - the cross for the empty image placeholder is thicker than the border... it would be nicer if it was a thick as the frame ones.

- guides-3.png: at ~ 50%:
  - some of the horizontal lines are not shown (2 and 3)

Kunda

2015-10-28 15:04

manager   ~0037047

Thanks ale!!
guides-3.png looks like it's related to 0013075

Issue History

Date Modified Username Field Change
2012-10-09 21:01 ale New Issue
2012-10-09 21:01 ale File Added: frame_border.png
2012-10-09 21:02 ale File Added: frame_border_preview.png
2012-10-09 21:10 ale Description Updated View Revisions
2012-10-09 21:10 ale File Added: frame_lines.sla
2012-10-10 20:30 fschmid Note Added: 0029034
2012-10-10 21:37 fschmid Note Added: 0029035
2012-10-11 06:42 ale File Added: yellow_border.png
2012-10-11 06:48 ale Note Added: 0029037
2012-10-11 11:55 Vladimir Savic File Added: now.png
2012-10-11 11:55 Vladimir Savic File Added: wish.png
2012-10-11 11:59 Vladimir Savic Note Added: 0029038
2015-07-08 17:41 Kunda Note Added: 0035696
2015-10-28 03:35 Kunda Note Added: 0037016
2015-10-28 08:45 ale File Added: guides.png
2015-10-28 08:45 ale File Added: guides-2.png
2015-10-28 08:46 ale File Added: guides-3.png
2015-10-28 09:00 ale Patch => No
2015-10-28 09:00 ale Description Updated View Revisions
2015-10-28 09:01 ale Note Added: 0037026
2015-10-28 09:02 ale Description Updated View Revisions
2015-10-28 15:03 Kunda Relationship added related to 0013075
2015-10-28 15:04 Kunda Note Added: 0037047
2015-11-25 01:03 Kunda Note Edited: 0037026 View Revisions
2015-11-25 01:04 Kunda Tag Attached: #please_test
2015-11-25 01:05 Kunda Description Updated View Revisions
2015-11-25 01:06 Kunda Tag Detached: #please_test
2015-11-25 01:06 Kunda Target Version => 1.6 milestone